<?php
/*************************
  Coppermine Photo Gallery
  ************************
  Copyright (c) 2003-2008 Dev Team
  v1.1 originally written by Gregory DEMAR

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License version 3
  as published by the Free Software Foundation.
  
  ********************************************
  Coppermine version: 1.4.19
  $HeadURL: https://coppermine.svn.sourceforge.net/svnroot/coppermine/trunk/cpg1.4.x/themes/atsiv_Wide/theme.php $
  $Revision: 4392 $
  $Author: gaugau $
  $Date: 2008-04-16 09:25:35 +0200 (Mi, 16 Apr 2008) $
**********************************************/

// ------------------------------------------------------------------------- //
// This theme has had redundant CORE items removed                           //
// ------------------------------------------------------------------------- //
define('THEME_HAS_RATING_GRAPHICS', 1);
define('THEME_HAS_NO_SUB_MENU_BUTTONS',1);
define('THEME_IS_XHTML10_TRANSITIONAL',1);  // Remove this if you edit this template until
define('THEME_HAS_NAVBAR_GRAPHICS',0);      // you have validated it. See docs/theme.htm.

// HTML template for main menu
$template_sys_menu = <<<EOT
	<table>
		<tr><td>
                <div class="topmenu-v">
                     {BUTTONS}
                </div>
        </td></tr>
    </table>
EOT;

// HTML template for template sys_menu spacer
$template_sys_menu_spacer ='';

// HTML template for template sub_menu
// special note: I left the JavaScript 'hide' off of the first and third buttons to help avoid trouble keeping sys_menu open. :Donnoman
if ($CONFIG['custom_lnk_url'] != '') {
$template_sub_menu = <<<EOT
        <table>
         <tr><td>
            <div class="topmenu-v">
<!-- BEGIN custom_link -->
           <a href="{CUSTOM_LNK_TGT}" title="{CUSTOM_LNK_TITLE}">{CUSTOM_LNK_LNK}</a>
<!-- END custom_link -->
           <a href="{ALB_LIST_TGT}" title="{ALB_LIST_TITLE}">{ALB_LIST_LNK}</a>
           <a href="{LASTUP_TGT}" title="{LASTUP_LNK}">{LASTUP_LNK}</a>
           <a href="{LASTCOM_TGT}" onmouseover="MM_showHideLayers('SYS_MENU','','hide')" title="{LASTCOM_LNK}">{LASTCOM_LNK}</a>
           <a href="{TOPN_TGT}" onmouseover="MM_showHideLayers('SYS_MENU','','hide')" title="{TOPN_LNK}">{TOPN_LNK}</a>
           <a href="{TOPRATED_TGT}" onmouseover="MM_showHideLayers('SYS_MENU','','hide')" title="{TOPRATED_LNK}">{TOPRATED_LNK}</a>
           <a href="{FAV_TGT}" onmouseover="MM_showHideLayers('SYS_MENU','','hide')" title="{FAV_LNK}">{FAV_LNK}</a>
           <a href="{SEARCH_TGT}" onmouseover="MM_showHideLayers('SYS_MENU','','hide')" title="{SEARCH_LNK}">{SEARCH_LNK}</a>
         </div>
        </tr></td> 
      </table>
EOT;

} else {

$template_sub_menu = <<<EOT
        <table>
         <tr><td>
            <div class="topmenu-v">
<!-- BEGIN custom_link -->
<!-- END custom_link -->
           <a href="{ALB_LIST_TGT}" title="{ALB_LIST_TITLE}">{ALB_LIST_LNK}</a>
           <a href="{LASTUP_TGT}" title="{LASTUP_LNK}">{LASTUP_LNK}</a>
           <a href="{LASTCOM_TGT}" onmouseover="MM_showHideLayers('SYS_MENU','','hide')" title="{LASTCOM_LNK}">{LASTCOM_LNK}</a>
           <a href="{TOPN_TGT}" onmouseover="MM_showHideLayers('SYS_MENU','','hide')" title="{TOPN_LNK}">{TOPN_LNK}</a>
           <a href="{TOPRATED_TGT}" onmouseover="MM_showHideLayers('SYS_MENU','','hide')" title="{TOPRATED_LNK}">{TOPRATED_LNK}</a>
           <a href="{FAV_TGT}" onmouseover="MM_showHideLayers('SYS_MENU','','hide')" title="{FAV_LNK}">{FAV_LNK}</a>
           <a href="{SEARCH_TGT}" onmouseover="MM_showHideLayers('SYS_MENU','','hide')" title="{SEARCH_LNK}">{SEARCH_LNK}</a>
         </div>
        </td></tr> 
      </table>
EOT;
}


// HTML template for user admin menu
$template_user_admin_menu = <<<EOT
<table>
  <td>
	 <div class="topmenu-v">
  		<a href="albmgr.php" title="{ALBMGR_TITLE}" class="navmenu">{ALBMGR_LNK}</a>
  		<a href="modifyalb.php" title="{MODIFYALB_TITLE}" class="navmenu">{MODIFYALB_LNK}</a>
		<a href="profile.php?op=edit_profile" title="{MY_PROF_TITLE}" class="navmenu">{MY_PROF_LNK}</a>
		<a href="picmgr.php" title="{PICTURES_TITLE}" class="navmenu">{PICTURES_LNK}</a>
	  </div>
	 </td> 
	</table>
EOT;


$template_gallery_admin_menu = <<<EOT
	<table>
	 <td>
	    <div class="topmenu-v">
	    	<!-- BEGIN admin_approval -->
			<span class="admin_menu_anim"><a href="editpics.php?mode=upload_approval" title="{UPL_APP_TITLE}">{UPL_APP_LNK}</a></span>
			<!-- END admin_approval -->
			<a href="admin.php" title="{ADMIN_TITLE}">{ADMIN_LNK}</a>
			<a href="catmgr.php" title="{CATEGORIES_TITLE}">{CATEGORIES_LNK}</a>
			<a href="albmgr.php{CATL}" title="{ALBUMS_TITLE}">{ALBUMS_LNK}</a>
			<a href="groupmgr.php" title="{GROUPS_TITLE}">{GROUPS_LNK}</a>
			<a href="usermgr.php" title="{USERS_TITLE}">{USERS_LNK}</a>
			<a href="banning.php" title="{BAN_TITLE}">{BAN_LNK}</a>
			<a href="reviewcom.php" title="{COMMENTS_TITLE}">{COMMENTS_LNK}</a>
			<!-- BEGIN log_ecards -->
			<a href="db_ecard.php" title="{DB_ECARD_TITLE}">{DB_ECARD_LNK}</a>
			<!-- END log_ecards -->
			<a href="picmgr.php" title="{PICTURES_TITLE}">{PICTURES_LNK}</a>
			<a href="searchnew.php" title="{SEARCHNEW_TITLE}">{SEARCHNEW_LNK}</a>
			<a href="util.php" title="{UTIL_TITLE}">{UTIL_LNK}</a>
			<a href="profile.php?op=edit_profile" title="{MY_PROF_TITLE}">{MY_PROF_LNK}</a>
			<!-- BEGIN documentation -->
			<a href="{DOCUMENTATION_HREF}" title="{DOCUMENTATION_TITLE}" target="cpg_documentation">{DOCUMENTATION_LNK}</a>
			<!-- END documentation -->
	    </div>
	 </td> 
	</table>
EOT;

// HTML template for title row of the thumbnail view (album title + sort options)
$template_thumb_view_title_row = <<<EOT

   <table width="100%" cellpadding="0" cellspacing="0">
    <tr>
     <td width="100%" class="statlink">{ALBUM_NAME}</td>
     <td class="sortorder_options" style="font-size: 100%;">{TITLE}</td>
     <td class="sortorder_options" style="font-size: 100%;"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=ta" title="{SORT_TA}">&nbsp;+&nbsp;</a></span></td>
     <td class="sortorder_options" style="font-size: 100%;"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=td" title="{SORT_TD}">&nbsp;-&nbsp;</a></span></td>
     <td>&nbsp;&nbsp;</td>
     <td class="sortorder_options" style="font-size: 100%;">{NAME}</td>
     <td class="sortorder_options" style="font-size: 100%;"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=na" title="{SORT_NA}">&nbsp;+&nbsp;</a></span></td>
     <td class="sortorder_options" style="font-size: 100%;"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=nd" title="{SORT_ND}">&nbsp;-&nbsp;</a></span></td>
     <td>&nbsp;&nbsp;</td>
     <td class="sortorder_options" style="font-size: 100%;">{DATE}</td>
     <td class="sortorder_options" style="font-size: 100%;"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=da" title="{SORT_DA}">&nbsp;+&nbsp;</a></span></td>
     <td class="sortorder_options" style="font-size: 100%;"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=dd" title="{SORT_DD}">&nbsp;-&nbsp;</a></span></td>
     <td>&nbsp;&nbsp;</td>
     <td class="sortorder_options" style="font-size: 100%;">{POSITION}</td>
     <td class="sortorder_options" style="font-size: 100%;"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=pa" title="{SORT_PA}">&nbsp;+&nbsp;</a></span></td>
     <td class="sortorder_options" style="font-size: 100%;"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=pd" title="{SORT_PD}">&nbsp;-&nbsp;</a></span></td>
    </tr>
   </table>

EOT;


// HTML template for intermediate image display - HS: valign
$template_display_media = <<<EOT
   <td align="center" valign="top" class="display_media" height="{CELL_HEIGHT}" style="white-space: nowrap; padding: 0px;">
    <table cellspacing="2" cellpadding="0" class="imageborder">
          <tr><td align="center">{IMAGE}{ADMIN_MENU}</td></tr>
    </table>
<!-- BEGIN img_desc -->
    <table cellpadding="0" cellspacing="0" class="tableb">
<!-- BEGIN title -->
          <tr><td class="tableb"><center><b>{TITLE}</b></center></td></tr>
<!-- END title -->
<!-- BEGIN caption -->
          <tr><td class="tableb"><center>{CAPTION}</center></td></tr>
<!-- END caption -->
    </table>
<!-- END img_desc -->
   </td>
EOT;


// Function to start a 'standard' table
function starttable($width = '100%', $title = '', $title_colspan = '1')
{
    global $CONFIG;

    if ($width == '-1') $width = $CONFIG['picture_table_width'];
    if ($width == '100%') $width = $CONFIG['main_table_width'];

    if ($title) {
        echo <<<EOT
<!-- Start standard table title -->
		<table align="center" width="$width" cellspacing="0" cellpadding="0" class="maintablea">
	        <tr>
	          <td>
	            <table width="100%" cellspacing="0" cellpadding="0" class="tableh1a">
	              <tr>
	                 <td><img src='themes/atsiv_Wide/images/box_left_icon.gif' hspace="5" alt="" /> </td>
	                 <td  class="tableh1a" width="95%">$title</td>
	                 <td width="5%"> &nbsp; </td>
	              </tr>
	             </table>
	          </td>
	        </tr>
		</table>
<!-- Start standard table -->
		<table align="center" width="$width" cellspacing="1" cellpadding="0" class="maintableb">

EOT;
    } else {
        echo <<<EOT

<!-- Start standard table -->
		<table align="center" width="$width" cellspacing="1" cellpadding="0" class="maintable">

EOT;
    }
}

// HTML template for the image rating box
$template_image_rating = <<<EOT
<table >
       <tr><td><b>{TITLE}</b> {VOTES}</td></tr>
       
       <tr><td class="tableb_compact" width="65px" align="center"><a href="{RATE0}" title="{RUBBISH}" rel="nofollow"><img src="{LOCATION}images/rating0.gif" border="0" alt="{RUBBISH}" /><br /></a></td></tr>
       <tr><td class="tableb_compact" width="65px" align="center"><a href="{RATE1}" title="{POOR}" rel="nofollow"><img src="{LOCATION}images/rating1.gif" border="0" alt="{POOR}" /><br /></a></td></tr>
       <tr><td class="tableb_compact" width="65px" align="center"><a href="{RATE2}" title="{FAIR}" rel="nofollow"><img src="{LOCATION}images/rating2.gif" border="0" alt="{FAIR}" /><br /></a></td></tr>
       <tr><td class="tableb_compact" width="65px" align="center"><a href="{RATE3}" title="{GOOD}" rel="nofollow"><img src="{LOCATION}images/rating3.gif" border="0" alt="{GOOD}" /><br /></a></td></tr>
       <tr><td class="tableb_compact" width="65px" align="center"><a href="{RATE4}" title="{EXCELLENT}" rel="nofollow"><img src="{LOCATION}images/rating4.gif" border="0" alt="{EXCELLENT}" /><br /></a></td></tr>
       <tr><td class="tableb_compact" width="65px" align="center"><a href="{RATE5}" title="{GREAT}" rel="nofollow"><img src="{LOCATION}images/rating5.gif" border="0" alt="{GREAT}" /><br /></a></td></tr>
	  	
</table>
EOT;
// HTML template for the image navigation bar
$template_img_navbar = <<<EOT
	<tr>
	<td align="center" valign="middle" class="navmenu2">
       <a href="{PREV_TGT}" class="navmenu_pic" title="{PREV_TITLE}"><img src="{LOCATION}images/prev.gif"  border="0" align="middle" alt="{PREV_TITLE}" /></a>
    </td>
    <td align="center" valign="middle" class="navmenu2">
       <a href="{NEXT_TGT}" class="navmenu_pic" title="{NEXT_TITLE}"><img src="{LOCATION}images/next.gif"  border="0" align="middle" alt="{NEXT_TITLE}" /></a>
    </td>
	<td align="center" valign="middle" class="navmenu" width="48">
      <a href="{THUMB_TGT}" class="navmenu_pic" title="{THUMB_TITLE}"><img src="{LOCATION}images/thumbnails.gif" align="middle" border="0" alt="{THUMB_TITLE}" /></a>
    </td>

    <td align="center" valign="middle" class="navmenu" width="48">
      <a href="javascript:;" class="navmenu_pic" onclick="blocking('picinfo','yes', 'block'); return false;" title="{PIC_INFO_TITLE}"><img src="{LOCATION}images/info.gif" border="0" align="middle" alt="{PIC_INFO_TITLE}" /></a>
    </td>

    <td align="center" valign="middle" class="navmenu" width="48">
      <a href="{SLIDESHOW_TGT}" class="navmenu_pic" title="{SLIDESHOW_TITLE}"><img src="{LOCATION}images/slideshow.gif" border="0" align="middle" alt="{SLIDESHOW_TITLE}" /></a>
    </td>
<!-- BEGIN report_file_button -->
            <td align="center" valign="middle" class="navmenu" width="48">
              <a href="{REPORT_TGT}" class="navmenu_pic" title="{REPORT_TITLE}"><img src="{LOCATION}images/report.gif" border="0" align="middle" alt="{REPORT_TITLE}" /></a>
            </td>
<!-- END report_file_button -->

<!-- BEGIN ecard_button -->
            <td align="center" valign="middle" class="navmenu" width="48">
              <a href="{ECARD_TGT}" class="navmenu_pic" title="{ECARD_TITLE}"><img src="{LOCATION}images/ecard.gif"  border="0" align="middle" alt="{ECARD_TITLE}" /></a>
            </td>
<!-- END ecard_button -->
    
    <td align="left" valign="middle" class="navmenu" width="100%">
        &nbsp; {PIC_POS}
    </td>
	</tr>
EOT;

// HTML template for filmstrip display
$template_film_strip = <<<EOT
	<tr><td>
		<table width="100%" cellspacing="0" cellpadding="0">
			<tr>
					
					<td valign="top" style="background-image: url({TILE1});"><img src="{TILE1}" alt="" border="0" /></td>
			    	
			    	<!--begin thumb -->
					<td><table style="width: 100%">

			    		<tr>
			    			<td> {THUMB_STRIP} </td>
			    		</tr>
			    		
					</table>
					</td>	
			    	<!--end thumb -->
			    	<td valign="top" style="background-image: url({TILE2});"><img src="{TILE2}" alt="" border="0" /></td>
					
			</tr>
		</table>
	</td></tr>

<!-- BEGIN thumb_cell -->
	<table width="100%" cellspacing="0" cellpadding="0">
	  <tr><td align="center" valign="bottom"><a href="{LINK_TGT}">{THUMB}</a></td></tr>
	</table>
	{CAPTION}
	{ADMIN_MENU}
<!-- END thumb_cell -->
<!-- BEGIN empty_cell -->
   <td valign="top" align="center">&nbsp;</td>
<!-- END empty_cell -->
EOT;


function theme_display_image($nav_menu, $picture, $votes, $pic_info, $comments, $film_strip)
{
	global $HTTP_COOKIE_VARS, $CONFIG;

	starttable();
	echo $nav_menu;
	echo "\n";
	endtable();
	starttable();
	if ($CONFIG['display_film_strip'] == 1) {
		echo "<tr><td width='150' class='tableb' valign='middle'>\n";
		echo "<!-- gb before film_strip -->\n";
		echo $film_strip;
		echo "</td>\n";		
		echo "<!-- gb after film_strip -->\n";
	}
	echo "<!-- gb before picture -->\n";
	echo $picture;
	echo "<td style=\"width: 80px\" class=\"tableb \" valign=\"top\" >";
	echo $votes;
	echo "</td></tr>\n<!-- gb after picture -->\n";
	endtable();

    if($comments != "") {
    	starttable();
		echo $comments;
		echo "\n";
		endtable();
	}
	
	$picinfo = isset($HTTP_COOKIE_VARS['picinfo']) ? $HTTP_COOKIE_VARS['picinfo'] : ($CONFIG['display_pic_info'] ? 'block' : 'none');
	echo "<div id=\"picinfo\" style=\"display: $picinfo;\">\n";
	starttable();
	echo $pic_info;
	echo "\n";
	endtable();
	echo "</div>\n";

}

?>